<?php
/** @var \Magento\Customer\Block\Form\Login $block */
$mobileblock = $this->getLayout()->createBlock('Magecomp\Mobilelogin\Block\Mobilelogin');
?>
<div class="block block-customer-login">
    <div class="block-title">
        <strong id="block-customer-login-heading" role="heading" aria-level="2"><?= $block->escapeHtml(__('Registered Customers')) ?></strong>
    </div>
    <div class="block-content" aria-labelledby="block-customer-login-heading">
        <form class="form form-login"
              action="<?php if($mobileblock->isEnable()):echo $block->getUrl('mobilelogin/index/ajaxlogin');else:echo $block->getPostActionUrl();endif; ?>"
              method="post"
              id="customer-login-form"
              data-mage-init='{"validation":{}}'>
            <?= $block->getBlockHtml('formkey') ?>
            <div class="emailpasswrong message-error error message" id="emailpasswrong_msg">
                        <span ></span>
             </div>
            <fieldset class="fieldset login" data-hasrequired="<?= $block->escapeHtmlAttr(__('* Required Fields')) ?>">
                <div class="field note"><?= $block->escapeHtml(__('If you have an account, sign in with your email address.')) ?></div>
                <div class="field email required">
                <?php if($mobileblock->isEnable()): ?>
                    <label class="label" for="email"><span><?= $block->escapeHtml(__('Email/Mobile Number')) ?></span></label>
                <?php else : ?>
                	<label class="label" for="email"><span><?= $block->escapeHtml(__('Email')) ?></span></label>
                <?php endif; ?>
                    <div class="control">
                        <input name="login[username]" value="<?= $block->escapeHtmlAttr($block->getUsername()) ?>" <?php if ($block->isAutocompleteDisabled()): ?> autocomplete="off"<?php endif; ?> id="email" type="email" class="input-text" title="<?= $block->escapeHtmlAttr(__('Email')) ?>" data-validate="{required:true, 'validate-email':false}">
                    </div>
                </div>
                <div class="field password required">
                    <label for="pass" class="label"><span><?= $block->escapeHtml(__('Password')) ?></span></label>
                    <div class="control">
                        <input name="login[password]" type="password" <?php if ($block->isAutocompleteDisabled()): ?> autocomplete="off"<?php endif; ?> class="input-text" id="pass" title="<?= $block->escapeHtmlAttr(__('Password')) ?>" data-validate="{required:true}">
                    </div>
                </div>
                <?= $block->getChildHtml('form_additional_info') ?>
                <div class="actions-toolbar">
                   <div class="progress-indicator left">
                        <span class="please-wait" id="customer-login-please-wait">
                            <img src="<?php echo 
							$block->getViewFileUrl('Magecomp_Mobilelogin::images/ajax-loader.gif');?>" class="v-middle" alt="Please Wait"/>
                        </span>
                    </div>
                	<div class="primary"><button type="submit" class="action login primary" name="send" id="customerloginsubmit"><span><?= $block->escapeHtml(__('Sign In')) ?></span></button></div>
                    <div class="secondary"><a class="forgotlinking" href="#"><?php echo __("Forgot Password?");?></a></div>
                </div>
            </fieldset>
        </form>
    </div>
</div>